Package org.springframework.orm.jpa

# Class JpaOptimisticLockingFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.TransientDataAccessException
org.springframework.dao.ConcurrencyFailureException
org.springframework.dao.OptimisticLockingFailureException
org.springframework.orm.ObjectOptimisticLockingFailureException
org.springframework.orm.jpa.JpaOptimisticLockingFailureException

All Implemented Interfaces:
  `Serializable`

public class JpaOptimisticLockingFailureException extends ObjectOptimisticLockingFailureException
JPA-specific subclass of ObjectOptimisticLockingFailureException. Converts JPA's OptimisticLockException.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - `EntityManagerFactoryUtils.convertJpaAccessExceptionIfPossible(java.lang.RuntimeException)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JpaOptimisticLockingFailureException(OptimisticLockException ex)`

## Method Summary

### Methods inherited from class org.springframework.orm.ObjectOptimisticLockingFailureException

`getIdentifier, getPersistentClass, getPersistentClassName`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JpaOptimisticLockingFailureException

public JpaOptimisticLockingFailureException(OptimisticLockException ex)